Advice on glibc compile problems / LFS 5.1.1

Roger Merchberger zmerch at 30below.com
Thu Jul 1 09:14:04 PDT 2004


Otay folks,

Here I am with an LFS 5.1.1 that won't compile on my machine correctly [1] 
due to (what appears to be) an incompatible glibc (2.3.3).

Here's my question to the experts out there:

Would I be farther ahead to ditch LFS 5.1.1 entirely and drop back to LFS 
5.0, or should I try LFS 5.1.1 but with glibc 2.3.2 (or earlier - until I 
find one that works?)

The symptoms: glibc 2.3.3 fails on 2 tests (math & linuxthreads) and 
attempting to ignore these tests & compile binutils in chap. 6 anyway, 
well, it dies horribly. :-/

Thanks for the advice,
Roger "Merch" Merchberger

[1] Fujitsu Lifebook P2120, 933Mhz Crusoe CPU... Yea, it's an odd bird, but 
LFS 4.0 runs *so well* on it!!! ;-)

--
Roger "Merch" Merchberger   | "Bugs of a feather flock together."
sysadmin, Iceberg Computers |           Russell Nelson
zmerch at 30below.com          |




More information about the lfs-support mailing list